OGRE: Ogre::SDLGLSupport Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::SDLGLSupport Class Reference

`#include <OgreSDLGLSupport.h>`

Inheritance diagram for Ogre::SDLGLSupport:
[legend]

## Public Member Functions
| SDLGLSupport ()
| ~SDLGLSupport ()
void | addConfig (void)
| Add any special config values to the system. More...
virtual bool | checkExtension (const String &ext) const
| Check if an extension is available. More...
virtual RenderWindow * | createWindow (bool autoCreateWindow, GL3PlusRenderSystem *renderSystem, const String &windowTitle)
virtual ConfigOptionMap & | getConfigOptions (void)
virtual unsigned int | getDisplayMonitorCount () const
| Gets the number of display monitors. More...
const String & | getGLVendor (void) const
| Get vendor information. More...
const DriverVersion & | getGLVersion (void) const
| Get version information. More...
void * | getProcAddress (const char *procname) const
| Get the address of a function. More...
const String & | getShaderCachePath (void) const
| Get shader cache path. More...
const String & | getShaderLibraryPath (void) const
| Get shader library path. More...
bool | hasMinGLVersion (int major, int minor) const
| Check if GL Version is supported. More...
virtual void | initialiseExtensions ()
| Initialises GL extensions, must be done AFTER the GL context has been established. More...
virtual RenderWindow * | newWindow (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)
virtual void | setConfigOption (const String &name, const String &value)
void | setShaderCachePath (String path)
| Set shader cache path. More...
void | setShaderLibraryPath (String path)
| Set shader library path. More...
void | start ()
| Start anything special. More...
void | stop ()
| Stop anything special. More...
String | validateConfig (void)
| Make sure all the extra options are valid. More...

## Constructor & Destructor Documentation

## ◆ SDLGLSupport()

Ogre::SDLGLSupport::SDLGLSupport | ( |  | ) |

## ◆ ~SDLGLSupport()

Ogre::SDLGLSupport::~SDLGLSupport | ( |  | ) |

## Member Function Documentation

## ◆ addConfig()

void Ogre::SDLGLSupport::addConfig | ( | void |  | ) |
| virtual

Add any special config values to the system.

Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh

Implements Ogre::GL3PlusSupport.

## ◆ checkExtension()

virtual bool Ogre::GL3PlusSupport::checkExtension | ( | const String & | ext | ) | const
| virtualinherited

Check if an extension is available.

Reimplemented in Ogre::GTKGLSupport.

## ◆ createWindow()

virtual RenderWindow* Ogre::SDLGLSupport::createWindow | ( | bool | autoCreateWindow,
|  | GL3PlusRenderSystem * | renderSystem,
|  | const String & | windowTitle
| ) |  |
| virtual

Implements Ogre::GL3PlusSupport.

## ◆ getConfigOptions()

virtual ConfigOptionMap& Ogre::GL3PlusSupport::getConfigOptions | ( | void |  | ) |
| virtualinherited

## ◆ getDisplayMonitorCount()

virtual unsigned int Ogre::GL3PlusSupport::getDisplayMonitorCount | ( |  | ) | const
| inlinevirtualinherited

Gets the number of display monitors.

See also
  Root::getDisplayMonitorCount

Reimplemented in Ogre::Win32GLSupport.

## ◆ getGLVendor()

const String& Ogre::GL3PlusSupport::getGLVendor | ( | void |  | ) | const
| inlineinherited

Get vendor information.

## ◆ getGLVersion()

const DriverVersion& Ogre::GL3PlusSupport::getGLVersion | ( | void |  | ) | const
| inlineinherited

Get version information.

## ◆ getProcAddress()

void* Ogre::SDLGLSupport::getProcAddress | ( | const char * | procname | ) | const
| virtual

Get the address of a function.

Implements Ogre::GL3PlusSupport.

## ◆ getShaderCachePath()

const String& Ogre::GL3PlusSupport::getShaderCachePath | ( | void |  | ) | const
| inlineinherited

Get shader cache path.

## ◆ getShaderLibraryPath()

const String& Ogre::GL3PlusSupport::getShaderLibraryPath | ( | void |  | ) | const
| inlineinherited

Get shader library path.

## ◆ hasMinGLVersion()

bool Ogre::GL3PlusSupport::hasMinGLVersion | ( | int | major,
|  | int | minor
| ) |  | const
| inherited

Check if GL Version is supported.

## ◆ initialiseExtensions()

virtual void Ogre::GL3PlusSupport::initialiseExtensions | ( |  | ) |
| virtualinherited

Initialises GL extensions, must be done AFTER the GL context has been established.

Reimplemented in Ogre::GTKGLSupport, Ogre::Win32GLSupport, and Ogre::GLXGLSupport.

## ◆ newWindow()

virtual RenderWindow* Ogre::SDLGLSupport::newWindow | ( | const String & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | bool | fullScreen,
|  | const NameValuePairList * | miscParams = `0`
| ) |  |
| virtual

Implements Ogre::GL3PlusSupport.

## ◆ setConfigOption()

virtual void Ogre::GL3PlusSupport::setConfigOption | ( | const String & | name,
|  | const String & | value
| ) |  |
| virtualinherited

Reimplemented in Ogre::Win32GLSupport, and Ogre::GLXGLSupport.

## ◆ setShaderCachePath()

void Ogre::GL3PlusSupport::setShaderCachePath | ( | String | path | ) |
| inlineinherited

Set shader cache path.

## ◆ setShaderLibraryPath()

void Ogre::GL3PlusSupport::setShaderLibraryPath | ( | String | path | ) |
| inlineinherited

Set shader library path.

## ◆ start()

void Ogre::SDLGLSupport::start | ( |  | ) |
| virtual

Start anything special.

Implements Ogre::GL3PlusSupport.

## ◆ stop()

void Ogre::SDLGLSupport::stop | ( |  | ) |
| virtual

Stop anything special.

Implements Ogre::GL3PlusSupport.

## ◆ validateConfig()

String Ogre::SDLGLSupport::validateConfig | ( | void |  | ) |
| virtual

Make sure all the extra options are valid.

Implements Ogre::GL3PlusSupport.

The documentation for this class was generated from the following file:

- OgreSDLGLSupport.h